/* EPS Conduits (C) 2014-2017 Stephane Charette <stephanecharette@gmail.com>
 * $Id: Connection.cpp 2167 2017-03-01 12:10:04Z stephane $
 * See license.txt.
 */

#include "Connection.hpp"
#include "Hull.hpp"
#include "comm.hpp"
#include <boost/uuid/nil_generator.hpp>


static size_t next_connection_id = 1;

EPS::Connection::Connection(void) :
	id	( next_connection_id ++		),
	name( std::to_string(id) + ": "	),
	uuid( boost::uuids::nil_uuid()	),
	hull( EPS::Hull::get()			)
{
	return;
}


EPS::Connection::~Connection(void)
{
	return;
}
