#!/usr/bin/env bash
#
# EPS Conduits (C) 2014 Stephane Charette <stephanecharette@gmail.com>
# $Id: eps-client.sh 1831 2016-05-06 16:25:21Z stephane $


function get_eps_pids()
{
	pids=$(ps -eo pid,command | grep -v "eps-stop" | egrep "/usr/bin/[e]ps-|[e]ps-client --conf /etc/|[e]ps-server --conf /etc/" | awk '{print $1}' | tr '\n' ' ')
	echo "${pids}"
}

pids=$(get_eps_pids)
if [ -z "${pids}" ]; then
	echo "EPS is not running."
	exit 0
fi

if [ "${EUID}" != "0" ]; then
	echo "Must run as root to stop EPS."
	exit 1
fi

kill_type=-15

until [ "${pids}" = "" ]; do
	echo "EPS: killing PIDs ${pids}..."
	kill ${kill_type} ${pids}
	sleep 1
	kill_type=-9
	pids=$(get_eps_pids)
done

echo "EPS has stopped."

exit 0

