/* EPS Conduits (C) 2014-2017 Stephane Charette <stephanecharette@gmail.com>
 * $Id: eps-windows.hpp 2167 2017-03-01 12:10:04Z stephane $
 * See license.txt.
 */

#pragma once

#ifdef EPS_WINDOWS

	#define EPS_SKIP_UPNP

	#define NOMINMAX
	#define WIN32_LEAN_AND_MEAN
	#define _CRT_SECURE_NO_WARNINGS
	#define _SCL_SECURE_NO_WARNINGS
	#define _WINSOCK_DEPRECATED_NO_WARNINGS
	#include <windows.h>
	#include <ciso646>	// keywords like "not" are supposed to be part of C++ and not require a special header file (added to C in 1995)

	// also see BOOST_CURRENT_FUNCTION which may be a better fit
	#define __PRETTY_FUNCTION__ __FUNCSIG__

	// prevent 0-sized arrays in comm structures from generating a C4200 warning ("nonstandard extension used : zero - sized array in struct / union")
	#pragma warning( disable : 4200 )

	// disable the warning on the use of getpid()
	#pragma warning( disable : 4996 )
	typedef DWORD pid_t;

	// where are these network definitions in Windows?
	#ifndef ETHERTYPE_IP
	#define ETHERTYPE_IP	0x0800
	#endif

	#ifndef ETHERTYPE_ARP
	#define ETHERTYPE_ARP	0x0806
	#endif

	#ifndef ETHERTYPE_IPV6
	#define ETHERTYPE_IPV6	0x86dd
	#endif

#endif
